package com.rongwei.bscommon.sys.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.rongwei.bsentity.domain.ApsProductDetailDo;
import com.rongwei.bsentity.vo.UpdateProductDetailsAndBlankOutputReq;
import com.rongwei.rwcommon.base.R;
import org.springframework.web.bind.annotation.RequestBody;

import java.util.List;
import java.util.Map;

/**
 * <p>
 * 生产订单_产品明细 服务类
 * </p>
 *
 * @author sc
 * @since 2024-03-28
 */
public interface ApsProductDetailService extends IService<ApsProductDetailDo> {

    R getCustomOrderData(Map<String, Object> params);

    R updateCustomOrder(Map<String, Object> params);

    R updateMergeCustomOrder(@RequestBody Map<String, Object> params);

    R updateOrSaveProductDetails(List<ApsProductDetailDo> req);

    R updateProductDetailsAndBlankOutput(UpdateProductDetailsAndBlankOutputReq req);
}
